using System;

namespace Vita.Domain.Tests.Unit
{
    public class TestTimeWithOffsetProvider : TimeWithOffsetProvider
    {
        private DateTimeOffset _startValue;
        private int _sequence;

        public TestTimeWithOffsetProvider(DateTimeOffset startValue)
        {
            _startValue = startValue;
        }

        public override DateTimeOffset Now
        {
            get { return _startValue.AddSeconds(++_sequence); }
        }
    }
}