﻿using System;
using Regalo.Core;

namespace Vita.Domain.Accounting
{
    public class RequestFundsTransfer : Command
    {
        public RequestFundsTransfer(Money amount, Guid destinationAccountId, Guid sourceAccountId)
        {
            Amount               = amount;
            DestinationAccountId = destinationAccountId;
            SourceAccountId      = sourceAccountId;
        }

        public Guid  SourceAccountId      { get; private set; }
        public Guid  DestinationAccountId { get; private set; }
        public Money Amount               { get; private set; }
    }
}