﻿using System.ComponentModel.DataAnnotations;
using Vita.Domain.Accounting;

namespace Vita.Web.Areas.Accounting.Models.Account
{
    public class OpenAccountViewModel
    {
        [Display(Name = "Account Name")]
        public string AccountName { get; set; }

        [Display(Name = "Opening Balance")]
        public decimal OpeningBalanceAmount { get; set; }

        [Display(Name = "Account Type")]
        public AccountType AccountType { get; set; }
    }
}