﻿using System.Configuration;
using System.Data;
using MySql.Data.MySqlClient;
using Vita.Infrastructure;

namespace Vita.Web.Infrastructure
{
    public class MySqlConnectionFactory : ISqlConnectionFactory
    {
        public IDbConnection Create()
        {
            return Create("ReadStore");
        }

        public IDbConnection Create(string connectionStringName)
        {
            var connection = new MySqlConnection(ConfigurationManager.ConnectionStrings["ReadStore"].ConnectionString);
            connection.Open();
            return connection;
        }
    }
}