CREATE SCHEMA Vita DEFAULT CHARACTER SET latin1 COLLATE latin1_general_ci;

use Vita;

CREATE TABLE Account (
  Id BINARY(16) NOT NULL ,
  Version binary(16) NOT NULL ,
  Name VARCHAR(128) NOT NULL ,
  AccountTypeName varchar(128) not null ,
  AccountHolderId binary(16) NOT NULL ,
  AccountHolderName VARCHAR(128) NOT NULL ,
  CurrentBalance DECIMAL(10,2) NOT NULL ,
  PRIMARY KEY (Id) );

CREATE TABLE Transaction (
  Id INT NOT NULL AUTO_INCREMENT ,
  AccountId binary(16) not null ,
  Date DATETIME NOT NULL ,
  Amount DECIMAL(12) NOT NULL ,
  Balance DECIMAL(12) NOT NULL ,
  Description VARCHAR(45) NOT NULL ,
  Payee VARCHAR(45) NOT NULL ,
  PaymentMethod VARCHAR(45) NOT NULL ,
  PRIMARY KEY (Id) );



select * from Account;