﻿using System;
using NUnit.Framework;

namespace Vita.Domain.Tests.Unit
{
    [TestFixture]
    public class DefaultTimeWithOffsetProviderTests
    {
        [Test]
        public void FindCurrentTimeCorrectly()
        {
            var provider = new DefaultTimeWithOffsetProvider();

            var now = DateTimeOffset.Now;
            Assert.That(provider.Now, Is.InRange(now, now.AddMilliseconds(100)));
        }
    }
}