using System;
using Regalo.Core;

namespace Vita.Domain.Accounting
{
    public class OpenAccount : Command
    {
        public Guid        AccountHolderId { get; private set; }
        public string      AccountName     { get; private set; }
        public Money       OpeningBalance  { get; private set; }
        public AccountType AccountType     { get; private set; }

        public OpenAccount(Guid accountHolderId, string accountName, AccountType accountType, Money openingBalance)
        {
            AccountHolderId = accountHolderId;
            AccountName     = accountName;
            AccountType     = accountType;
            OpeningBalance  = openingBalance;
        }
    }
}