﻿using System;

namespace Vita.Web.Areas.Accounting.Models.Account
{
    public class AccountTransactionViewModel
    {
        public DateTime Date          { get; private set; }
        public decimal  Amount        { get; private set; }
        public decimal  Balance       { get; private set; }
        public string   Description   { get; private set; }
        public string   Payee         { get; private set; }
        public string   PaymentMethod { get; private set; }

        public AccountTransactionViewModel(
            DateTime date, 
            decimal  amount, 
            decimal  balance, 
            string   description, 
            string   payee, 
            string   paymentMethod)
        {
            Date          = date;
            Amount        = amount;
            Balance       = balance;
            Description   = description;
            Payee         = payee;
            PaymentMethod = paymentMethod;
        }
    }
}