﻿using Castle.MicroKernel.Registration;
using Castle.MicroKernel.SubSystems.Configuration;
using Castle.Windsor;
using Vita.Infrastructure;

namespace Vita.Web.Infrastructure
{
    public class DataAccessInstaller : IWindsorInstaller
    {
        public void Install(IWindsorContainer container, IConfigurationStore store)
        {
            container.Register(
                Component.For<ISqlConnectionFactory>()
                    .ImplementedBy<MySqlConnectionFactory>()
                    .LifestylePerWebRequest()
                );
        }
    }
}